aboutsummaryrefslogtreecommitdiffstats
path: root/eazel-engine/mkinstalldirs
diff options
context:
space:
mode:
authorFrederic Lepied <flepied@mandriva.com>2001-07-31 05:30:56 +0000
committerFrederic Lepied <flepied@mandriva.com>2001-07-31 05:30:56 +0000
commit8872a532d7b144d3e2cf655db6a1644f656033b0 (patch)
tree65a0e6d6cf0a273463592e9d9be326239f2b0bcd /eazel-engine/mkinstalldirs
parentfb41d7e8913e99b3f4962d8916578ae60e0c0ce0 (diff)
downloadcommon-data-8872a532d7b144d3e2cf655db6a1644f656033b0.tar
common-data-8872a532d7b144d3e2cf655db6a1644f656033b0.tar.gz
common-data-8872a532d7b144d3e2cf655db6a1644f656033b0.tar.bz2
common-data-8872a532d7b144d3e2cf655db6a1644f656033b0.tar.xz
common-data-8872a532d7b144d3e2cf655db6a1644f656033b0.zip
Initial revision
Diffstat (limited to 'eazel-engine/mkinstalldirs')
-rwxr-xr-xeazel-engine/mkinstalldirs40
1 files changed, 40 insertions, 0 deletions
diff --git a/eazel-engine/mkinstalldirs b/eazel-engine/mkinstalldirs
new file mode 100755
index 0000000..4f58503
--- /dev/null
+++ b/eazel-engine/mkinstalldirs
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.13 1999/01/05 03:18:55 bje Exp $
+
+errstatus=0
+
+for file
+do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d
+ do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp"
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ fi
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here